AOZ Studio Beta - Bug #87

New AOZ Application button creates an application with a bad manifest.
01/27/2020 03:36 PM - Brian Flanagan

Status: Closed Start date: 01/27/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.3.1

Description

To reproduce this error:

1. Click the "New AOZ Application" button
2. Name it LocateTest
3. Type in the following code:

Screen Open 0,640,200,16,Hires
Paper 0 : Pen 4 : Hide : Curs Off : Cls O
Ink 1 : Box 0,0 To 639,199

For N=0 to 24
Locate 0,N : Print "Line ";N;
Wait Key

Next N

End

Then, run the application. You'll see a number of problems, including (but not limited to):
1. A 640x200 screen that appears the size of a postage stamp.
2. Attempting to locate beyond line 2 causes an "lllegal text window parameter” error.

3. The fonts are too tall with too much space between the lines.

Work-Around:

Deleting the manifest, and replacing it with a copy from Help_1 corrects the problems. (A default Amiga manifest, | believe.)

Related Bug: Default mode is supposed to be Amiga 1200 emulation with AMOS Pro syntax.
When using the New button, instead, an apparently buggy version of a PC manifest with AOZ syntax is used.

History

#1 - 01/27/2020 08:43 PM - Baptiste Pillot

- Assignee set to Francois Lionet

#2 - 02/03/2020 05:58 PM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.4

Corrected, as all of the buttons in next version. It was old code that needed to be rewritten.

#3 - 02/28/2020 05:28 PM - Brian Flanagan

- Status changed from Resolved to Closed

Tested again in 0.9.5.1. Works!
